## Aatrox
- Adds a complex, high risk melee survivor who uses health as a resource to combo enemies and inflict heavy damage
- Includes complete item display support and unlockable skins
- Now includes the reworked Aatrox as well!
- Has full Skills++ support
- Featuring Dante from the Devil May Cry Series

[![](https://cdn.discordapp.com/attachments/469291841859092488/738400437119484035/asstrox.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/718244505391726732/unknown.png)](https://youtu.be/BAmi9uC4OP0)

[![](https://cdn.discordapp.com/attachments/469291841859092488/719505013298167928/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/727006035859996783/Screenshot_316.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/738410595585490994/unknown.png)]()

[fortnite1]: https://cdn.discordapp.com/attachments/749076478146117733/967977956808998922/659019339990564874.gif
[fortnite2]: https://cdn.discordapp.com/attachments/749076478146117733/967977948068057198/560252477501472788.gif
[fortnite3]: https://cdn.discordapp.com/attachments/749076478146117733/967977940908384256/468617834881220620.gif
[fortnite4]: https://cdn.discordapp.com/attachments/749076478146117733/967977956808998922/659019339990564874.gif

## Playstyle and Tips/Tricks
Aatrox is a fragile, highly complex melee survivor who relies on healing via his primary to sustain himself while consuming his health to dish out heavy damage with intricate combos.

Aatrox's primary, Blood thirst, is a standard 3 hit combo that heals you on the third hit. While the healing is powerful, it should not be assumed that he can just heal through everything. Carelessness and overconfidence will prove to be a fatal flaw.

Aatrox's secondary, Blood Price, does nothing on its own. However, holding down the skill while using his primary will perform a variety of different moves depending on your inputs, shown below.

[![](https://cdn.discordapp.com/attachments/469291841859092488/719505030398607412/graphic.png)]()

Blood Thirst and Price are his bread and butter- Price providing strong burst, crowd control, mobility and DPS while Thirst helps to manage the large health costs. Good usage of Stinger makes dealing with airborne threats a breeze while High Time helps to keep larger threats like Stone Golems or Elder Lemurians in check.

Alternatively, you can take the alternate secondary Blades of Torment for an easier, more reliable damage source. While it lacks the versatility and damage potential of Blood Price, it deals decent damage from range on a short cooldown making it a good option for those who prefer a safer playstyle.

Massacre, Aatrox's special, is a risky self buff that, when used right, can be extremely rewarding. It's a toggle ability that grants a % damage bonus up to 100% and an armor bonus up to 80. These bonuses start at 1 and scale up the longer it's active. The catch though, is that it drains your health as well.  The health drain scales up even faster than the stat bonuses making it very risky to keep active. That being said, it's a great way to make use of your Hellbent passive for even more extra damage. Just don't get hit.

- Primary can instantly cancel into a Blood Price attack after a successful hit
- Chaining Stingers is a surefire way to deal with pesky wisps, but missing will leave you vulnerable
- Blood Thirst's heal is a percentage of your max health, making health and shields good as they increase your healing
- Dark Flight is a good earlygame AoE for clearing trash mobs
- Blades of Torment and Massacre stall your downward movement when used
- Massacre gives brief invulnerability on  cast, which can be used with good timing to block attacks
- Razorwire basically plays the game by itself
- Any items that boost or benefit from healing are invaluable
- Anything that boosts damage is great as Massacre's 200% damage boost is applied after all other sources

## Skills++
<details>
  <summary>Skills++ support temporarily disabled. Check changelog 4.3.0 below.</summary>
  <p>
  
| Skill | | Description |
|:-|-|------|
| Blood Thirst | ![Blood Thirst](https://media.discordapp.net/attachments/469291841859092488/744798950447382628/ThirstIcon.png?width=128&height=128) | `+10%` combo damage, and `+35%` third hit damage per level |
| Blood Price | ![Blood Price](https://media.discordapp.net/attachments/469291841859092488/744798964376797284/PriceIcon.png?width=128&height=128) | `+1` stock per level |
| Blades of Torment | ![Blades of Torment](https://media.discordapp.net/attachments/469291841859092488/744799023944171531/BladesIcon.png?width=128&height=128) | `+30%` damage per level |
| Dark Flight| ![Dark Flight](https://media.discordapp.net/attachments/469291841859092488/744799033662636133/DarkFlightIcon.png?width=128&height=128) | `+15%` damage, and `+20%` impact radius per level |
| Shadow Step | ![Shadow Step](https://media.discordapp.net/attachments/469291841859092488/744799045523865700/ShadowStepIcon.png?width=128&height=128) | `+1` stock per level |
| Massacre | ![Massacre](https://media.discordapp.net/attachments/469291841859092488/744799057628758026/MassacreIcon.png?width=128&height=128) | Nothing for now |
| World Ender | ![World Ender](https://media.discordapp.net/attachments/469291841859092488/744799097138970664/WorldEnderIcon.png?width=128&height=128) | Nothing for now |

  </p>
</details>

## Known Issues
- Clients don't take damage from secondary attacks
- Charging World Ender is inconsistent in multiplayer

## Credits
Rob - Mod author.
Rein - Helped with the custom survivor setup
Violet Chaolan - Very helpful Wwise tutorial, also doing god's work on the dynamic music
iDeathHD - Code for pausing the ingame music
Riot Games - made aatrox lol
cwmlolzlz - Great work on making Skills++ easy to set up custom survivors
Drgonyck - Maintaining 
Thanks to people in the modding discord for providing lots of valuable feedback

## Changelog
`4.3.3`
- Fixed Blades of Torment damaging too many times.

`4.3.2`
- Reinforced mod support checks. This will fix any errors that could pop up if you didn't have them installed.

`4.3.1`
- Turned off a mp debugging function I forgor was on 💀

`4.3.0`
- Updated for the latest game version.
- Blood Thirst third hit now also deals bonus damage to lower health enemies.
- Blood Price Stinger now deals bonus damage to lower health enemies.
- Crimson Blitz adjustments:
  - Damage increased ~~95%~~ ⇒ 130%
  - Reduced spread ~~10~~ ⇒ 6
- Massacre now gives a 15% movement speed boost, instead of a flat 3.
- Rewrote Achievements to work with the vanilla method.
- Fixed and updated item displays.
- Fixed some issues with the custom hud elements.
- Temporarily disabled Skills++ support. *The mod doesn't work for me atm, I'll add support back once I can properly debug it.
- Added CustomEmotesAPI. Now you Fortnite dance on top of your enemies corpses.(disabled by default, check config) ![][fortnite1] ![][fortnite2] ![][fortnite3] ![][fortnite4]
- Organized some of the code and fixed some issues. 

`4.2.1`
- Fixed style system not working properly

`4.2.0`
- Improved textures
- Added a forward + m2 skill for gun
- Buffed gun's grounded back + m2 damage
- Added new sounds
- Removed Helm Breaker jump cancel- cool tech in theory but too broken to keep
- Made changes to the style system allowing it to to be used on any character
- Increased style gain on kill
- Dealing damage now resets style decay
- Certain attacks, when used on airborne enemies, now slightly stall them in the air
- Fixed weapon swap bugs
- Fixed weird console spam on startup

`4.1.0`
- Remade all textures to better fit RoR2's art style; old textures can be enabled via config
- Fixed low quality Bury The Light audio
- Fixed issues with multiple instances of Bury The Light persisting permanently
- Remade character portrait
- Updated character select animation
- Helm Breaker damage now scales from 750% to 2000% based on speed
- Helm Breaker can now be jump cancelled after hitting an enemy
- Slowed down Massacre scaling a bit, the level scaling effect achieved intended result but it got strong a little too fast
- Increased Massacre's initial health drain from 2% to 6%- since the Repulsion Armor Plate change it's been too easy to negate this
- Increased Massacre's max health drain from 400% to 600%
- Lowered Blood Thirst combo damage from 175% to 150%
- Increased secondary health cost from 15% to 25%- same reasoning as the Massacre change
- Eldritch Bolts damage increased to 350%, spread lowered and misplaced VFX fixed
- Activating World Ender with Crimson Blitz equipped no longer causes Aatrox to get stabbed by nothing
- More tweaks to style, made it ACTUALLY possible to hit SSS now- and this time it was actually playtested
- Added a meter to the style ranking
- Fixed dance not properly pausing style decay
- Fixed some Crimson Blitz bugs
- Fixed the character select helicopter legs

`4.0.0`
- Added Bury The Light, overrides Devil Trigger, fully dynamic thanks to Violet once again
- Devil Trigger now pauses and resumes rather than starting from the beginning every time
- Added new primary, Crimson Blitz- lacking a little polish for now but the mechanics are mostly there
- Added extra primary swap skill to swap between gun and sword, bound to F by default
- Added configuration for Blood Price keybinds
- Added invincibility frames to Helm Breaker
- Increased Shadow Step base speed
- Increased Stinger base speed, slightly lowered windup duration
- Increased Stinger followup damage to 600%, reduced duration, removed health cost and increased style coefficient
- Tweaked style system a little to make reaching and maintaining SSS rank less impossible
- World Ender no longer breaks the loadout menu when enabled
- SSS rank now has a slight impact on gameplay
-- World Ender gains charges twice as fast
-- Massacre no longer drains health
- Massacre self damage now scales down with level
- Increased scaling damage bonus from World Ender buff
- Added dance
- Lowered base health to 100
- Lowered base regen to 0.25
- Increased regen per level to 0.75
- Swapped over to Hopoo shader and tweaked skins
- Reduced screenshake effect on Blood Thirst
- Updated World Ender's secondary visuals again
- Fixed Blood Price health costs in multiplayer
- Fixed warning messages on startup
- Massive backend refactors all around to make future content easier to implement

Skill$Root
Skill4StockRoot.setactive false
CooldownPanel.setactive false
CooldownText.Setactive false
SkillBackgroundPanel anchored pos 3D Y to 32

`3.5.0`
- Fixed multiplayer healing
- Fixed Gorag's Opus not working
- Added keywords to skill descriptions, included Blood Price's full move list
- Added a followup attack to Stinger that uses the same input
- Added ending text
- Some vfx polish
- Added a subtle visual effect when healing with Blood Thirst
- Fixed infinitely scaling damage with Skills++ upgrades
- Increased base distance of aerial Shadow Step
- Lowered endlag on Shadow Step
- Lowered World Ender's primary cost from 15 to 10
- Fixed a bug causing Blood Price to self damage twice per cast.... oops
- Dark Flight now forces sprint
- Dark Flight now gives style points for each enemy hit
- Killing enemies gives a small amount of style points
- Style rank now cannot go past C if Shaped Glass is in your inventory
- Style gain is now multiplied by 5 if you have Transcendence
- Base damage slightly lowered

`3.4.1`
- Actually fixed unlocks this time

`3.4.0`
- Added support for Skills++!
- Added display rules for the new items added in 1.0
- Tweaked some existing display rules
- Dark Flight's dive can now be cancelled by jumping
- Slightly rewrote Shadow Step, fully fixed clipping through terrain and added directional control
- Shadow Step now scales with movement speed
- Fixed mastery skin not being unlocked, updated condition to beating the game like all other survivors
- DMC style system can now be disabled via config
- Disabling the style system now makes Devil Trigger always play with max bass boost
- Made meat hook smaller

`3.3.0`
- Fixed Ukulele scaling
- Added SkinAPI compatibility

`3.2.1`
- Another fix

`3.2.0`
- Updated for 1.0 patch
- Made skins unlockable, added one new skin

`3.1.1`
- Last update accidentally made it harder to gain style, this should fix it for real

`3.1.0`
- Added ragdoll death
- Added subtle aim animation
- Updated Eldritch Bolts vfx
- Tweaked style system, was decaying way too fast before making it near impossible to get SSS, should be more forgiving now

`3.0.0`
- Attempted a fix for networking bugs but untested so I won't say they're fixed yet
- Added skins
- Added style ranking system from Devil May Cry (yes, Devil Trigger is dynamic, thanks Violet)
- Massacre buff now displays a number that goes up with the stat bonuses, to help visualize it
- Massacre now gives some bonus movement speed
- Dealing damage with Blood Price speeds up the scaling of the bonus stats from Massacre(cap is unchanged and health cost isn't affected)
- After reaching max bonus stats, gain bonus attack range
- Blood Price now grants World Ender charges on hit(multihits do grant multiple charges)
- Healing with primary grants 1 charge
- Transformation now requires 150 charges, skill costs increased
- World Ender cast animation updated, invulnerability added
- World Ender form now has a hover similar to Artificer
- Eldritch Blast VFX updated, skill reworked to better scale with attack speed
- Judgement animation/movement cleaned up, invulnerability added
- World Ender damage and armor bonus increased
- Added logbook lore
- Properly networked menu animation
- Updated/cleaned up a bunch of animations and particles
- Added wide mode
- Added big head mode
- Rewrote sword hitboxes and fixed Blood Price bugs, primary no longer has lingering hitbox

`2.0.1`
- Some World Ender bugfixes, charge system should function as intended now

`2.0.0`
- Added World Ender (or Sin Devil Trigger) alternate special
- After spending enough health to charge it up, activate to transform into your World Ender form and gain massive power and new skills for a limited time!
- World Ender form can be used as a standalone survivor with a config option, still reverts back to normal form for now
- Added new spawn animation, pod removed
- Another adjustment to Shadow Step to stop clipping through terrain
- Fixed self damage proccing certain items like Crowbar and Focus Crystal
- Some volume adjustments
- Devil Trigger volume now uses the game's music slider rather than the sound slider
- Cleaned up some animation stuff

`1.2.0`
- Added Devil Trigger as a configuration option, big thanks to Violet Chaolan for the idea and soundbank
- Included missing R2API dependencies causing names and sounds not to work properly
- Cleaned up some hit effects

`1.1.5`
- Actually included the .dll this time, oops

`1.1.4`
- Fixed Blades of Torment not working in multiplayer
- Fixed Blood Price not costing health for clients
- Possibly fixed Blood Thirst not healing for clients, but untested and may not work still
- Fixed Massacre sound oversight

`1.1.3`
- Blood Price input system rewritten, now uses whatever inputs you have binded for forward/back rather than w/s key presses
- Polished attack animations
- Added strafe animations
- Increased Blades of Torment hitbox size
- Changed Massacre bonus from flat 1-25 damage to a 1-100% multiplier
- Greatly increased Massacre health cost to offset the massive scaling buff
- Added some more sounds and particles

`1.1.2`
- Added the rest of the item displays, now 100% finished even including the unused Wicked Ring and Ancestral Incubator
- Added footsteps
- Reduced Dark Flight cooldown to 14s
- Increased Dark Flight damage to 500%
- Some more tweaks to Shadow Step that should hopefully stop it from clipping through terrain for real this time
- Some sound tweaks

`1.1.1`
- Added even more displays, most are finished now

`1.1.0`
- Added item displays!!!!
- This means Milky Chrysalis and Crowdfunder now work!
- Not all item displays are in yet, but most of the important ones have been added

`1.0.1`
- Fixed Shadow Step clipping into terrain if used at the right angle
- Fixed Blood Thirst only healing if host
- Probably fixed Blades of Torment not working for clients
- Fixed death animation

`1.0.0`
- Initial release

## Future Plans
- HarbCrate item display support
- Give cooldown/stock items an effect on World Ender form